#ifndef __orov__msg__common__Command__idl__
#define __orov__msg__common__Command__idl__

module orov {
module msg {
module common {

    const unsigned long COMMAND_MAX_PARAMS = 10;

    // Common Command state responses
    const unsigned long COMMAND_ACK     = 0;
    const unsigned long COMMAND_NACK    = 1;

    struct Command
    {
        // Unique id representing the target of the command
        string uuid;            //@key

        // ID of the particular request this sample pertains to
        unsigned long reqId;    //@key

        // Current state of the command tied to the above reqId. Generally sent as a response to a received command to ack/nack
        unsigned long state;

        // Optional parameters
        sequence<string, COMMAND_MAX_PARAMS> params;
    };

};
};
};

#endif